View Issue Details

IDProjectCategoryView StatusLast Update
0017837mantisbtbugtrackerpublic2016-10-12 06:36
ReporterdregadAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017837: Add new 'DEPRECATED' error type
Description

Introducing a specific type error type (based on E_USER_DEPRECATED) instead of relying on WARNING for deprecated functionality allows for differentiated error messages and handling.

TagsNo tags attached.

Relationships

related to 0017522 closeddregad Reinstate helper_alternate_class() function 
related to 0021795 closeddregad E_USER_DEPRECATED is not detected if error_reporting=0 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 7d7fb84f

2014-07-09 13:33:42

dregad

Details Diff
New DEPRECATED error type

Make use of E_USER_DEPRECATED instead of relying on WARNING for
deprecated functionality. Allows for differentiated error messages and
handling.

Fixes 0017837
mod - core/constant_inc.php Diff File
mod - core/database_api.php Diff File
mod - core/error_api.php Diff File

MantisBT: master-1.3.x 4ee0da6e

2016-10-12 06:31:28

dregad

Details Diff
Let Error API capture E_USER_DEPRECATED by default

Following introduction of DEPRECATED error type in issue 0017837, it was
omitted to add E_USER_DEPRECATED to the list of error types captured by
default.

This prevented handling when error_reporting=0.

Follow-up on issue 0010966, cec454931df5a99d03ff22aabf8901648ff3d549
Fixes 0021795
mod - core/error_api.php Diff File

Issue History

Date Modified Username Field Change
2014-11-05 11:19 dregad New Issue
2014-11-05 11:19 dregad Status new => assigned
2014-11-05 11:19 dregad Assigned To => dregad
2014-11-05 11:19 dregad Relationship added related to 0017437
2014-11-05 11:20 dregad Relationship added related to 0017522
2014-11-05 11:20 dregad Relationship deleted related to 0017437
2014-11-08 14:27 dregad Changeset attached => MantisBT master 7d7fb84f
2014-11-08 14:27 dregad Status assigned => resolved
2014-11-08 14:27 dregad Resolution open => fixed
2014-11-08 14:27 dregad Fixed in Version => 1.3.0-beta.1
2014-11-08 14:28 dregad Severity minor => feature
2014-12-08 00:33 vboctor Status resolved => closed
2016-10-12 06:36 dregad Changeset attached => MantisBT master-1.3.x 4ee0da6e
2016-10-12 06:36 dregad Relationship added related to 0021795